## 0.3.0

### Improvements

- **PERF**: Drastically reduce the size of the screengraph

### Bug fixes

- **FIX** interacting with underlying webviews
- **FIX** ripple effect display on long press

## 0.2.3

### Additions

- **FEAT** [Android] Generation of the Flutter Screengraph: When a snapshot is requested, the Flutter CS plugin will generate a screengraph and pass it over to the native SDK to be inserted in the Snapshot before being sent

### Improvements

- **PERF** Gesture tracking performances improved
- **DOC** Add an example page using `SingleChildScrollView` to the Flutter Gallery example app, in order to track down performance issues

## 0.2.2

### Additions

- [iOS] Generation of the Flutter Screengraph: When a snapshot is requested, the Flutter CS plugin will generate a screengraph and pass it over to the native SDK to be inserted in the Snapshot before being sent

### Improvements

- Gesture tracking performances improved

### Bug fixes

- Remove positional indexes for removed private elements
- Support Scroll views: the generated screengraph now supports all types of `RenderObject`: `RenderBox`, `RenderSliver`, `RenderViewportAdapter` and `RenderView` and does not crash when dealing with elements outside of the current view port that do not have any size
- Prevent bitmap (screengraph's `bmp` field) generation from crashing

## 0.2.1-dev

### Improvements

- Remove "Generic params" from elements in the tvp
- Add positional index "eq(i)" on each element of the tvp

### Bug fixes

- Gesture events are now properly sent to the API through the native SDK on Android

## 0.2.0-dev.1

- Gesture event management :
  - Tap
  - Longpress
  - Drag (slow swipe)
  - Flick (fast swipe)

## 0.1.0-dev.3

- Initial prerelease
