
import 'package:contentsquare_example/src/recyclable/recyclable_widgets.dart';
import 'package:flutter/material.dart';

class CustomScrollViewScreen extends StatelessWidget {
  const CustomScrollViewScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Custom Scroll View'),
      ),
      body: _buildRecyclableView(),
    );
  }

  Widget _buildRecyclableView() {
    return CustomScrollView(
      slivers: [
        buildSliverGrid(20),
        buildSliverGrid(20),
        buildSliverList(100),
      ],
    );
  }
}
