import 'package:contentsquare/contentsquare.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class SendWidget extends StatelessWidget {
  Future<void> sendScreenView(BuildContext context) async {
    try {
      await Contentsquare().send('Test');
    } on PlatformException catch (e) {
      if (e.message != null) {
        ScaffoldMessenger.of(context)
            .showSnackBar(SnackBar(content: Text(e.message!)));
      }
    }
  }

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
      onPressed: () => sendScreenView(context),
      child: Text('Send a screen view'),
    );
  }
}
