
import 'package:contentsquare_example/src/recyclable/custom_scroll_view_screen.dart';
import 'package:contentsquare_example/src/recyclable/grid_view_screen.dart';
import 'package:contentsquare_example/src/recyclable/list_view_screen.dart';
import 'package:contentsquare_example/src/recyclable/sliver_grid_screen.dart';
import 'package:contentsquare_example/src/recyclable/sliver_list_screen.dart';
import 'package:flutter/material.dart';

class ScreengraphWidget extends StatelessWidget {
  const ScreengraphWidget({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Wrap(
      spacing: 8,
      children: [
        ElevatedButton(
            onPressed: () {
              Navigator.of(context).push(MaterialPageRoute(builder: (context) => ListViewScreen()));
            },
            child: Text('ListView')
        ),
        ElevatedButton(
            onPressed: () {
              Navigator.of(context).push(MaterialPageRoute(builder: (context) => SliverListScreen()));
            },
            child: Text('SliverList')
        ),
        ElevatedButton(
            onPressed: () {
              Navigator.of(context).push(MaterialPageRoute(builder: (context) => GridViewScreen()));
            },
            child: Text('GridView')
        ),
        ElevatedButton(
            onPressed: () {
              Navigator.of(context).push(MaterialPageRoute(builder: (context) => SliverGridScreen()));
            },
            child: Text('SliverGrid')
        ),
        ElevatedButton(
            onPressed: () {
              Navigator.of(context).push(MaterialPageRoute(builder: (context) => CustomScrollViewScreen()));
            },
            child: Text('CustomScrollView')
        ),
      ],
    );
  }
}
